/**
 * @file conf.h
 * @project invizible
 * @author Wesley Kenzie (wkenzie@gmail.com PGP 4c945266)
 * @created April 20, 2011
 * @modified
 * @version: 0.1
 * @copyright 2011. Arthur (Wesley) Kenzie. All Rights Reserved.
 * @credits Jon Mayo
 * @license 3-clause BSD License. See accompanying LICENSE file.
 */

#ifndef _CONF_H
#define	_CONF_H

#ifdef	__cplusplus
extern "C" {
#endif

struct ini_st;
//
void ini_free(struct ini_st *);
struct ini_st * ini_load(const char *);
const char * ini_next_section(struct ini_st *);
const char * ini_next_parameter(struct ini_st *, const char **);
void ini_rewind(struct ini_st *);
const char * ini_get(struct ini_st *, const char *, const char *);

#ifdef	__cplusplus
}
#endif

#endif	/* _CONF_H */
